package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

import java.math.BigDecimal;
import java.util.Date;

public class ExpenseInfo extends ExternalComponent {


	private static final long serialVersionUID = -82595751262526431L;
	/*
	 * ZIC/13/Z10
	 * ZIC/14/Z10 
	 * ZIC/15/Z10 
	 */
	private String       	expenseType     = null;
	private BigDecimal 		amount 			= null;
	private Date expenseReportDate;
	 
	    
	    public String getExpenseType() {
	        return this.expenseType;
	    }

	    public void setExpenseType(String expenseType) {
	        this.expenseType = expenseType;
	    }
	    public BigDecimal getAmount()
	    {
	        return this.amount;
	    }

	    public void setAmount(BigDecimal amount)
	    {
	        this.amount = amount;
	    }

		public Date getExpenseReportDate() {
			return expenseReportDate;
		}

		public void setExpenseReportDate(Date expenseReportDate) {
			this.expenseReportDate = expenseReportDate;
		}
}
